Name: gcompris
Version: 6.5.3
Release: alt1
Summary: Educational suite for kids 3-10 years old
Summary(ru_RU.KOI8-R):       3-  10 
License: GPL
Group: Games/Educational
URL: http://ofset.sf.net/gcompris
Source: ftp://gcompris.sourceforge.net/%name-%version.tar.gz
Patch0: %name-%version-alt-skip_version_chess.patch
Patch1: %name-%version-alt-skip_import_pygtk_modules.patch

Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>

BuildRequires: glib2-devel xorg-x11-devel fontconfig freetype2 
BuildRequires: chess tetex-core texinfo
BuildRequires: esound libSDL_mixer-devel libSDL-devel
BuildRequires: libart_lgpl-devel libatk-devel libgnomecanvas-devel libgtk+2-devel libpango-devel  
BuildRequires: libxml2-devel libgnomeui-devel perl-XML-Parser pkgconfig
BuildRequires: libstdc++-devel libpopt-devel  gcc-c++ zlib-devel
# (misc) needed for python support
BuildRequires: python-base python-dev python-module-pygnome-canvas python-module-pygtk-devel
BuildRequires: python-modules-encodings  python-module-pygnome-devel

Requires: gnome-libs libxml2 gdk-pixbuf gdk-pixbuf-gnomecanvas libgnomecanvas
Requires: chess >= 5.02 libSDL_mixer
# (misc) needed for python support
Requires: python-base python-module-pygnome-canvas python-module-pygtk python-module-pygnome

Provides: python2.4(_gcompris) python2.4(_gcompris_anim) python2.4(_gcompris_bonus) 
Provides: python2.4(_gcompris_score) python2.4(_gcompris_skin) python2.4(_gcompris_sound)
Provides: python2.4(_gcompris_timer) python2.4(_gcompris_utils)
										    

%description
GCompris - I Have Understood is an educationnal game for children starting at 3.
More than 50 different activities are proposed:
* Click on the animals => learn the mouse/click usage
* Type the falling letters => learn the keyboard usage
* Falling Dices
* Falling words
* Basic algebra
* Time learning with an analog clock
* Puzzle game with famous paintings
* Drive Plane to catch clouds in increasing number
* Balance the scales
* And much more ...

The Game is included in the Main desktop menu in 'Games'.
You should install it only if you have children using this computer.

%description -l ru_RU.KOI8-R
GCompris -         3- 
  50   :
*   =>   
*   =>   
*  
*  
*  ޣ
*  () 
*    
*   ̣     
*    ...

      ,  
        %name-voices-ru

%package devel
Summary: Development package for gcompris
Group: Development/Other

%description devel
Development package for gcompris

%package voices-en
Summary: All voices in English for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-en
All voices in English for GCompris

%package voices-ru
Summary: All voices in Russian for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-ru
All voices in Russian for GCompris

%package voices-da
Summary: All voices in Danish for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-da
All voices in Danish for GCompris

%package voices-de
Summary: All voices in German for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-de
All voices in German for GCompris

%package voices-es
Summary: All voices in Spanish for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-es
All voices in Spanish for GCompris

%package voices-fr
Summary: All voices in French for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-fr
All voices in Spanish for GCompris

%package voices-it
Summary: All voices in Italian for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-it
All voices in Italian for GCompris

%package voices-pt
Summary: All voices in Portuguese for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-pt
All voices in Portuguese for GCompris

%package voices-sv
Summary: All voices in Swedish for GCompris
Group: Games/Educational
Requires: gcompris
%description voices-sv
All voices in Swedish for GCompris



%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure --with-editor=no
%make_build

%install
%__make  DESTDIR=%buildroot install
%find_lang --with-gnome %name

# menu
%__cat << EOF > %buildroot%_menudir/%name
?package(%name):command="%name" \
needs="x11" \
section="Amusement/Other" \
title="Educational suite gcompris" \
longtitle="Educational game from 3 to 10 years old" \
command="gcompris" \
icon="gcompris.png"
EOF

%post
%post_ldconfig
%update_menus
%install_info %name.info

%postun
%postun_ldconfig
%clean_menus

%preun
%uninstall_info %name.info


%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README

# bin
%_bindir/*

# lib
%_libdir/%name
%_libdir/libgcompris-1.so.0*

# menu
%_menudir/*
%_datadir/applications/*

# data 
%_datadir/%name
%_datadir/pixmaps/*
%_infodir/*
%dir %_datadir/assetml
%_datadir/assetml/gcompris_flags.assetml

# exclude sounds
%exclude %_datadir/gcompris/boards/sounds/*

%files devel
%_includedir/libgcompris-1.0/libgcompris
%_libdir/libgcompris-1.so
%_pkgconfigdir/*

%files voices-en
%_datadir/gcompris/boards/sounds/en
%_datadir/assetml/*_en.assetml

%files voices-ru
%_datadir/gcompris/boards/sounds/ru
%_datadir/assetml/*_ru.assetml

%files voices-da
%_datadir/gcompris/boards/sounds/da
%_datadir/assetml/*_da.assetml

%files voices-de
%_datadir/gcompris/boards/sounds/de
%_datadir/assetml/*_de.assetml

%files voices-es
%_datadir/gcompris/boards/sounds/es
%_datadir/assetml/*_es.assetml

%files voices-fr
%_datadir/gcompris/boards/sounds/fr
%_datadir/assetml/*_fr.assetml

%files voices-it
%_datadir/gcompris/boards/sounds/it
%_datadir/assetml/*_it.assetml

%files voices-pt
%_datadir/gcompris/boards/sounds/pt
%_datadir/assetml/*_pt.assetml

%files voices-sv
%_datadir/gcompris/boards/sounds/sv
%_datadir/assetml/*_sv.assetml

%changelog
* Tue May 17 2005 Slava Dubrovskiy <dubrsl@altlinux.ru> 6.5.3-alt1
- Are allocated in packages of a voice for Danish, German, Spanish, French, Italian, Portuguese, Swedish languages
- Fix bug in menu file
- Added %postun_ldconfig & %post_ldconfig
- Some spec cleanup
- Added Russian summary

* Tue May 10 2005 Slava Dubrovskiy <dubrsl@altlinux.ru> 6.5.3-alt0
- Final build for Sisyphus

* Mon May 9 2005 Guest007 <guest007@gmail.com>
- initial build 4 Sisyphus
- dedicated for Victory Day
